<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Flag_Base.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d6b/_flag___base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Flag_Base.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/d6b/_flag___base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span><a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a1a88bb76f531e3b503fdb2fd3b346aab">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a1a88bb76f531e3b503fdb2fd3b346aab">Flag_Base</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="comment">//synchronized variables</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <span class="comment">//RegisterNetSyncVariableBool( &quot;m_IsMounted&quot; );</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a14c8f8db4b17b0f19d84f9c94ba63b8d">ShowSelection</a>(<span class="stringliteral">&quot;folded&quot;</span>);</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;unfolded&quot;</span>);</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    }</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a0c4614064b8c4c404ee84f896cba4a68">   11</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a0c4614064b8c4c404ee84f896cba4a68">~Flag_Base</a>()</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    }</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    <span class="comment">// --- SYNCHRONIZATION</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a2f74273966ee29371a970c7caf76d03b">   16</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a2f74273966ee29371a970c7caf76d03b">Synchronize</a>()</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#ae4921a281934e14af9bab6c242049112">SetSynchDirty</a>();</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#aa5c630f3e789c5bf07b46ce04e859546">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#aa5c630f3e789c5bf07b46ce04e859546">OnVariablesSynchronized</a>()</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        super.OnVariablesSynchronized();</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    <span class="comment">// --- EVENTS</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a81752d025fb86c6548b94c66f80a74ad">   32</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a81752d025fb86c6548b94c66f80a74ad">OnStoreSave</a>( <a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsWriteContext</a> ctx )</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {   </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        super.OnStoreSave( ctx );</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a21e8ac0826ce4d40c6d511b0abc673a2">   37</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a21e8ac0826ce4d40c6d511b0abc673a2">OnStoreLoad</a>( <a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsReadContext</a> ctx, <span class="keywordtype">int</span> version )</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">if</span> ( !super.OnStoreLoad( ctx, version ) )</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a894a167c49bbd606efeaae2798c29d38">   45</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a894a167c49bbd606efeaae2798c29d38">AfterStoreLoad</a>()</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {   </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        super.AfterStoreLoad();</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="comment">//set mounted state based on locked slot after everything is loaded</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="comment">//SetMountedState( GetSlotLockedState() );</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    <span class="comment">/*override void OnInventoryEnter(Man player)</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span><span class="comment">    {</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span><span class="comment">        super.OnInventoryEnter(player);</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span><span class="comment">        </span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="comment">        ShowSelection(&quot;folded&quot;);</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span><span class="comment">        HideSelection(&quot;unfolded&quot;);</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span><span class="comment">    }</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span><span class="comment">    </span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span><span class="comment">    override void OnInventoryExit(Man player)</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span><span class="comment">    {</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span><span class="comment">        super.OnInventoryExit(player);</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span><span class="comment">        </span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span><span class="comment">        HideSelection(&quot;folded&quot;);</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span><span class="comment">        ShowSelection(&quot;unfolded&quot;);</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span><span class="comment">    }*/</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#ab25ae69addd27f6c73194dd9cae125fa">   69</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#ab25ae69addd27f6c73194dd9cae125fa">OnWasAttached</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent, <span class="keywordtype">int</span> slot_id)</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        super.OnWasAttached(parent,slot_id);</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;folded&quot;</span>);</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a14c8f8db4b17b0f19d84f9c94ba63b8d">ShowSelection</a>(<span class="stringliteral">&quot;unfolded&quot;</span>);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a275b23ae34e1bf9eec6dca0968556e6f">   77</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a275b23ae34e1bf9eec6dca0968556e6f">OnWasDetached</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent, <span class="keywordtype">int</span> slot_id)</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        super.OnWasDetached(parent,slot_id);</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a14c8f8db4b17b0f19d84f9c94ba63b8d">ShowSelection</a>(<span class="stringliteral">&quot;folded&quot;</span>);</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;unfolded&quot;</span>);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    }</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    <span class="comment">// SOUNDS</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    <span class="comment">// ---------------------------------------------------------</span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    <span class="comment">//TODO</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    <span class="comment">// ---------------------------------------------------------</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a2dc2d8ddcea625e5efa66613f246038f">   90</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a2dc2d8ddcea625e5efa66613f246038f">GetViewIndex</a>()</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    {</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../dd/d93/_object_8c.html#a6f664f1e83a240cd6f7466bfccdbbd53">MemoryPointExists</a>( <span class="stringliteral">&quot;invView2&quot;</span> ) )</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        {       </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>            <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> il = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a>().<a class="code hl_function" href="../../dc/d11/class_game_inventory.html#ae276ebb9b7c3bc9e3b6b0d3bb8b15b45">GetCurrentInventoryLocation</a>( il );</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            <a class="code hl_enumeration" href="../../d6/d52/_inventory_location_8c.html#ad09049fb2b99c763369bfe6228aa81b3">InventoryLocationType</a> type = il.<a class="code hl_function" href="../../d6/dc5/class_inventory_location.html#af47a618941989bcedd7ee33dd3c45721">GetType</a>();</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            <span class="keywordflow">switch</span> ( type )</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>                <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d6/d52/_inventory_location_8c.html#ad09049fb2b99c763369bfe6228aa81b3">InventoryLocationType</a>.ATTACHMENT:</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>                {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>                    <span class="keywordflow">return</span> 1;</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>                }</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>                <span class="keywordflow">default</span>:</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>                {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>                    <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>                }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    }</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a45bcceec0acd0ccdc9d6afd42d4e839a">  112</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a45bcceec0acd0ccdc9d6afd42d4e839a">SetActions</a>()</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        super.SetActions();</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_function" href="../../d4/dd1/_action_attach_8c.html#a160ebb3b520d6eb3dd1fbbdb362cc951">ActionAttach</a>);</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>}</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="../../dd/d6b/_flag___base_8c.html#a51f2b965c04a41f97b57e95ad3e5e120">  120</a></span><span class="keyword">class </span>Flag_Chernarus <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="../../dd/d6b/_flag___base_8c.html">  121</a></span><span class="keyword">class </span>Flag_Chedaki <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span><span class="keyword">class </span>Flag_NAPA <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span><span class="keyword">class </span>Flag_CDF <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span><span class="keyword">class </span>Flag_Livonia <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span><span class="keyword">class </span>Flag_Altis <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span><span class="keyword">class </span>Flag_SSahrani <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span><span class="keyword">class </span>Flag_NSahrani <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span><span class="keyword">class </span>Flag_DayZ <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span><span class="keyword">class </span>Flag_LivoniaArmy <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span><span class="keyword">class </span>Flag_White <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span><span class="keyword">class </span>Flag_Bohemia <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span><span class="keyword">class </span>Flag_APA <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span><span class="keyword">class </span>Flag_UEC <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span><span class="keyword">class </span>Flag_Pirates <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span><span class="keyword">class </span>Flag_Cannibals <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span><span class="keyword">class </span>Flag_Bear <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span><span class="keyword">class </span>Flag_Wolf <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span><span class="keyword">class </span>Flag_BabyDeer <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span><span class="keyword">class </span>Flag_Rooster <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span><span class="keyword">class </span>Flag_LivoniaPolice <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span><span class="keyword">class </span>Flag_CMC <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span><span class="keyword">class </span>Flag_TEC <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span><span class="keyword">class </span>Flag_CHEL <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span><span class="keyword">class </span>Flag_Zenit <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span><span class="keyword">class </span>Flag_HunterZ <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span><span class="keyword">class </span>Flag_BrainZ <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a> {};</div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a0fc522204b264247b969c1ed143d95d2"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a></div><div class="ttdeci">proto native GameInventory GetInventory()</div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a14c8f8db4b17b0f19d84f9c94ba63b8d"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a14c8f8db4b17b0f19d84f9c94ba63b8d">ShowSelection</a></div><div class="ttdeci">void ShowSelection(string selection_name)</div><div class="ttdoc">Shows selection of the given name. Must be configed in config.hpp and models.cfg.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l02253">EntityAI.c:2253</a></div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a1fb725a4df8baab6f2282f6bb9ea6b96"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a></div><div class="ttdeci">void HideSelection(string selection_name)</div><div class="ttdoc">Hides selection of the given name. Must be configed in config.cpp and models.cfg.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l02244">EntityAI.c:2244</a></div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_ae4921a281934e14af9bab6c242049112"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#ae4921a281934e14af9bab6c242049112">SetSynchDirty</a></div><div class="ttdeci">proto native void SetSynchDirty()</div><div class="ttdoc">Sets object synchronization dirty flag, which signalize that object wants to be synchronized (take ef...</div></div>
<div class="ttc" id="a_action_attach_8c_html_a160ebb3b520d6eb3dd1fbbdb362cc951"><div class="ttname"><a href="../../d4/dd1/_action_attach_8c.html#a160ebb3b520d6eb3dd1fbbdb362cc951">ActionAttach</a></div><div class="ttdeci">AttachActionData ActionData ActionAttach()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd1/_action_attach_8c_source.html#l00001">ActionAttach.c:9</a></div></div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00219">AdvancedCommunication.c:219</a></div></div>
<div class="ttc" id="a_flag___base_8c_html_dd/dd7/class_flag___base"><div class="ttname"><a href="../../dd/d6b/_flag___base_8c.html#dd/dd7/class_flag___base">Flag_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6b/_flag___base_8c_source.html#l00121">Flag_Base.c:121</a></div></div>
<div class="ttc" id="a_inventory_location_8c_html_ad09049fb2b99c763369bfe6228aa81b3"><div class="ttname"><a href="../../d6/d52/_inventory_location_8c.html#ad09049fb2b99c763369bfe6228aa81b3">InventoryLocationType</a></div><div class="ttdeci">InventoryLocationType</div><div class="ttdoc">types of Inventory Location</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_inventory_location_8c_source.html#l00003">InventoryLocation.c:4</a></div></div>
<div class="ttc" id="a_object_8c_html_a6f664f1e83a240cd6f7466bfccdbbd53"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a6f664f1e83a240cd6f7466bfccdbbd53">MemoryPointExists</a></div><div class="ttdeci">proto native bool MemoryPointExists(string memoryPoint)</div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_game_inventory_html_ae276ebb9b7c3bc9e3b6b0d3bb8b15b45"><div class="ttname"><a href="../../dc/d11/class_game_inventory.html#ae276ebb9b7c3bc9e3b6b0d3bb8b15b45">GameInventory::GetCurrentInventoryLocation</a></div><div class="ttdeci">proto native bool GetCurrentInventoryLocation(out notnull InventoryLocation loc)</div><div class="ttdoc">returns information about current item location</div></div>
<div class="ttc" id="aclass_inventory_location_html"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a></div><div class="ttdoc">InventoryLocation.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_inventory_location_8c_source.html#l00027">InventoryLocation.c:28</a></div></div>
<div class="ttc" id="aclass_inventory_location_html_af47a618941989bcedd7ee33dd3c45721"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html#af47a618941989bcedd7ee33dd3c45721">InventoryLocation::GetType</a></div><div class="ttdeci">proto native int GetType()</div><div class="ttdoc">returns type of InventoryLocation</div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_item_base_html_a0c4614064b8c4c404ee84f896cba4a68"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a0c4614064b8c4c404ee84f896cba4a68">ItemBase::~Flag_Base</a></div><div class="ttdeci">void ~Flag_Base()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6b/_flag___base_8c_source.html#l00011">Flag_Base.c:11</a></div></div>
<div class="ttc" id="aclass_item_base_html_a1a88bb76f531e3b503fdb2fd3b346aab"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a1a88bb76f531e3b503fdb2fd3b346aab">ItemBase::Flag_Base</a></div><div class="ttdeci">void Flag_Base()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6b/_flag___base_8c_source.html#l00003">Flag_Base.c:3</a></div></div>
<div class="ttc" id="aclass_item_base_html_a21e8ac0826ce4d40c6d511b0abc673a2"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a21e8ac0826ce4d40c6d511b0abc673a2">ItemBase::OnStoreLoad</a></div><div class="ttdeci">override bool OnStoreLoad(ParamsReadContext ctx, int version)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6b/_flag___base_8c_source.html#l00037">Flag_Base.c:37</a></div></div>
<div class="ttc" id="aclass_item_base_html_a275b23ae34e1bf9eec6dca0968556e6f"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a275b23ae34e1bf9eec6dca0968556e6f">ItemBase::OnWasDetached</a></div><div class="ttdeci">override void OnWasDetached(EntityAI parent, int slot_id)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6b/_flag___base_8c_source.html#l00077">Flag_Base.c:77</a></div></div>
<div class="ttc" id="aclass_item_base_html_a2dc2d8ddcea625e5efa66613f246038f"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a2dc2d8ddcea625e5efa66613f246038f">ItemBase::GetViewIndex</a></div><div class="ttdeci">override int GetViewIndex()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6b/_flag___base_8c_source.html#l00090">Flag_Base.c:90</a></div></div>
<div class="ttc" id="aclass_item_base_html_a2f74273966ee29371a970c7caf76d03b"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a2f74273966ee29371a970c7caf76d03b">ItemBase::Synchronize</a></div><div class="ttdeci">void Synchronize()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6b/_flag___base_8c_source.html#l00016">Flag_Base.c:16</a></div></div>
<div class="ttc" id="aclass_item_base_html_a45bcceec0acd0ccdc9d6afd42d4e839a"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a45bcceec0acd0ccdc9d6afd42d4e839a">ItemBase::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6b/_flag___base_8c_source.html#l00112">Flag_Base.c:112</a></div></div>
<div class="ttc" id="aclass_item_base_html_a81752d025fb86c6548b94c66f80a74ad"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a81752d025fb86c6548b94c66f80a74ad">ItemBase::OnStoreSave</a></div><div class="ttdeci">override void OnStoreSave(ParamsWriteContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6b/_flag___base_8c_source.html#l00032">Flag_Base.c:32</a></div></div>
<div class="ttc" id="aclass_item_base_html_a894a167c49bbd606efeaae2798c29d38"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a894a167c49bbd606efeaae2798c29d38">ItemBase::AfterStoreLoad</a></div><div class="ttdeci">override void AfterStoreLoad()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6b/_flag___base_8c_source.html#l00045">Flag_Base.c:45</a></div></div>
<div class="ttc" id="aclass_item_base_html_aa5c630f3e789c5bf07b46ce04e859546"><div class="ttname"><a href="../../de/d7a/class_item_base.html#aa5c630f3e789c5bf07b46ce04e859546">ItemBase::OnVariablesSynchronized</a></div><div class="ttdeci">override void OnVariablesSynchronized()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6b/_flag___base_8c_source.html#l00024">Flag_Base.c:24</a></div></div>
<div class="ttc" id="aclass_item_base_html_ab25ae69addd27f6c73194dd9cae125fa"><div class="ttname"><a href="../../de/d7a/class_item_base.html#ab25ae69addd27f6c73194dd9cae125fa">ItemBase::OnWasAttached</a></div><div class="ttdeci">override void OnWasAttached(EntityAI parent, int slot_id)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6b/_flag___base_8c_source.html#l00069">Flag_Base.c:69</a></div></div>
<div class="ttc" id="aclass_serializer_html"><div class="ttname"><a href="../../d0/dc2/class_serializer.html">Serializer</a></div><div class="ttdoc">Serialization general interface. Serializer API works with:</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc7/_serializer_8c_source.html#l00055">Serializer.c:56</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dd/d6b/_flag___base_8c.html">Flag_Base.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
